
Infrastructure - Story #4708

Test CN on Ubuntu 12.04

2014-04-11 23:55 - Jing Tao

Status: Closed Start date: 2014-04-14

Priority: Normal Due date: 2014-07-05

Assignee: Jing Tao % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: 2014.26-Block.4.1   

Story Points:    

Description

I have been assigned a task https://redmine.dataone.org/issues/4467 to test Metacat on Ubuntu 12.04. Since Metacat is one member

of CN software stack, we need to test Metacat in CN as well.

I talked with Chris, we decide to use cn-stage-orc-2.test.dataone.org  as the test machine.  Also we need a new story for this task.

Order of subtasks:

#4726

#4725

#4800

#4727

#4728

#4729

Subtasks:

Task # 4725: Update cn-dev-orc-1 to ubuntu 12.04 Closed

Task # 4726: Isolate cn-dev-orc-1 from Round-Robin dns. Closed

Task # 4727: Upgrade dataone-cn-os-core Closed

Task # 4728: Upgrade(install) the rest components Closed

Task # 4729: Run the d1 integration test Closed

Task # 4800: Create ubuntu packages for precise on http://dev-testing.dataone.org/ubunt... Closed

Task # 5130: Automate the upgrade process Closed

Task # 5131: Test if hazelcast works with java 7. Closed

Task # 5334: upgrade ubuntu extras for Java7 and Tomcat7 Closed

Task # 5335: after install clear unneeded packages Closed

Task # 5337: create migration script for tomcat7 Closed

Task # 5461: create CN Scripts package for unstable Closed

Related issues:

Related to Infrastructure - Story #5462: CCI 1.2.7 Release Closed 2014-06-12 2014-07-05

Associated revisions

Revision 9ee5dd4e - 2014-05-30 18:18 - Robert Waltz

refs #4708 add in administrative scripts for CN testing

Revision 13900 - 2014-05-30 18:18 - Robert Waltz

refs #4708 add in administrative scripts for CN testing

Revision 13900 - 2014-05-30 18:18 - Robert Waltz

refs #4708 add in administrative scripts for CN testing

Revision eeb4370f - 2014-05-30 18:36 - Robert Waltz

refs #4708 add in administrative scripts for CN testing
Revision 13901 - 2014-05-30 18:36 - Robert Waltz

refs #4708 add in administrative scripts for CN testing

Revision 13901 - 2014-05-30 18:36 - Robert Waltz

refs #4708 add in administrative scripts for CN testing

Revision 4a4cc176 - 2014-06-02 19:36 - Robert Waltz

refs #4708 add in administrative scripts for CN testing

Revision 13908 - 2014-06-02 19:36 - Robert Waltz

refs #4708 add in administrative scripts for CN testing

Revision 13908 - 2014-06-02 19:36 - Robert Waltz

refs #4708 add in administrative scripts for CN testing

Revision d1dce041 - 2014-06-04 19:15 - Robert Waltz

refs #4708

/bin/hostname -f does not return the correct value for dataone.  on cn-dev-orc-1, /etc/hosts has dns 'A record' indicating the hostname as

cn-dev-orc-1.test.utk.edu. Don't know why!

Revision 13923 - 2014-06-04 19:15 - Robert Waltz

refs #4708

/bin/hostname -f does not return the correct value for dataone.  on cn-dev-orc-1, /etc/hosts has dns 'A record' indicating the hostname as

cn-dev-orc-1.test.utk.edu. Don't know why!

Revision 13923 - 2014-06-04 19:15 - Robert Waltz

refs #4708

/bin/hostname -f does not return the correct value for dataone.  on cn-dev-orc-1, /etc/hosts has dns 'A record' indicating the hostname as

cn-dev-orc-1.test.utk.edu. Don't know why!

Revision 13923 - 2014-06-04 19:15 - Robert Waltz

refs #4708

/bin/hostname -f does not return the correct value for dataone.  on cn-dev-orc-1, /etc/hosts has dns 'A record' indicating the hostname as

cn-dev-orc-1.test.utk.edu. Don't know why!

Revision 13923 - 2014-06-04 19:15 - Robert Waltz

refs #4708

/bin/hostname -f does not return the correct value for dataone.  on cn-dev-orc-1, /etc/hosts has dns 'A record' indicating the hostname as

cn-dev-orc-1.test.utk.edu. Don't know why!
History

#1 - 2014-04-22 21:12 - Chris Jones

- Description updated

#2 - 2014-06-30 22:13 - Robert Waltz

- Due date set to 2014-07-05

- Category set to d1_cn_buildout

- Status changed from New to In Progress

- Start date set to 2014-06-22

- Milestone changed from None to CCI-1.2

- Product Version changed from * to 1.2.7

- Target version set to 2014.26-Block.4.1

#3 - 2014-07-18 02:56 - Robert Waltz

- Status changed from In Progress to Closed
